RoleCommandsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class RoleCommandsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.RoleCommandsResourceApi

-     public class RoleCommandsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleCommandsResourceApi()`
    `RoleCommandsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiBulkCommandList` | `formatCommand(String clusterName, String serviceName, ApiRoleNameList body)` Format HDFS NameNodes.
    `com.squareup.okhttp.Call` | `formatCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Format HDFS NameNodes.
    `com.squareup.okhttp.Call` | `formatCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for formatCommand
    `ApiResponse<ApiBulkCommandList>` | `formatCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Format HDFS NameNodes.
    `ApiClient` | `getApiClient()`
    `ApiBulkCommandList` | `hdfsBootstrapStandByCommand(String clusterName, String serviceName, ApiRoleNameList body)` Bootstrap HDFS stand-by NameNodes.
    `com.squareup.okhttp.Call` | `hdfsBootstrapStandByCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Bootstrap HDFS stand-by NameNodes.
    `com.squareup.okhttp.Call` | `hdfsBootstrapStandByCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hdfsBootstrapStandByCommand
    `ApiResponse<ApiBulkCommandList>` | `hdfsBootstrapStandByCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Bootstrap HDFS stand-by NameNodes.
    `ApiBulkCommandList` | `hdfsEnterSafemode(String clusterName, String serviceName, ApiRoleNameList body)` Enter safemode for namenodes.
    `com.squareup.okhttp.Call` | `hdfsEnterSafemodeAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Enter safemode for namenodes.
    `com.squareup.okhttp.Call` | `hdfsEnterSafemodeCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hdfsEnterSafemode
    `ApiResponse<ApiBulkCommandList>` | `hdfsEnterSafemodeWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Enter safemode for namenodes.
    `ApiBulkCommandList` | `hdfsFinalizeMetadataUpgrade(String clusterName, String serviceName, ApiRoleNameList body)` Finalize HDFS NameNode metadata upgrade.
    `com.squareup.okhttp.Call` | `hdfsFinalizeMetadataUpgradeAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Finalize HDFS NameNode metadata upgrade.
    `com.squareup.okhttp.Call` | `hdfsFinalizeMetadataUpgradeCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hdfsFinalizeMetadataUpgrade
    `ApiResponse<ApiBulkCommandList>` | `hdfsFinalizeMetadataUpgradeWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Finalize HDFS NameNode metadata upgrade.
    `ApiBulkCommandList` | `hdfsInitializeAutoFailoverCommand(String clusterName, String serviceName, ApiRoleNameList body)` Initialize HDFS HA failover controller metadata.
    `com.squareup.okhttp.Call` | `hdfsInitializeAutoFailoverCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Initialize HDFS HA failover controller metadata.
    `com.squareup.okhttp.Call` | `hdfsInitializeAutoFailoverCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hdfsInitializeAutoFailoverCommand
    `ApiResponse<ApiBulkCommandList>` | `hdfsInitializeAutoFailoverCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Initialize HDFS HA failover controller metadata.
    `ApiBulkCommandList` | `hdfsInitializeSharedDirCommand(String clusterName, String serviceName, ApiRoleNameList body)` Initialize HDFS NameNodes' shared edit directory.
    `com.squareup.okhttp.Call` | `hdfsInitializeSharedDirCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Initialize HDFS NameNodes' shared edit directory.
    `com.squareup.okhttp.Call` | `hdfsInitializeSharedDirCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hdfsInitializeSharedDirCommand
    `ApiResponse<ApiBulkCommandList>` | `hdfsInitializeSharedDirCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Initialize HDFS NameNodes' shared edit directory.
    `ApiBulkCommandList` | `hdfsLeaveSafemode(String clusterName, String serviceName, ApiRoleNameList body)` Leave safemode for namenodes.
    `com.squareup.okhttp.Call` | `hdfsLeaveSafemodeAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Leave safemode for namenodes.
    `com.squareup.okhttp.Call` | `hdfsLeaveSafemodeCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hdfsLeaveSafemode
    `ApiResponse<ApiBulkCommandList>` | `hdfsLeaveSafemodeWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Leave safemode for namenodes.
    `ApiBulkCommandList` | `hdfsSaveNamespace(String clusterName, String serviceName, ApiRoleNameList body)` Save namespace for namenodes.
    `com.squareup.okhttp.Call` | `hdfsSaveNamespaceAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Save namespace for namenodes.
    `com.squareup.okhttp.Call` | `hdfsSaveNamespaceCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hdfsSaveNamespace
    `ApiResponse<ApiBulkCommandList>` | `hdfsSaveNamespaceWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Save namespace for namenodes.
    `ApiBulkCommandList` | `jmapDump(String clusterName, String serviceName, ApiRoleNameList body)` Run the jmapDump diagnostic command.
    `com.squareup.okhttp.Call` | `jmapDumpAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Run the jmapDump diagnostic command.
    `com.squareup.okhttp.Call` | `jmapDumpCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for jmapDump
    `ApiResponse<ApiBulkCommandList>` | `jmapDumpWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Run the jmapDump diagnostic command.
    `ApiBulkCommandList` | `jmapHisto(String clusterName, String serviceName, ApiRoleNameList body)` Run the jmapHisto diagnostic command.
    `com.squareup.okhttp.Call` | `jmapHistoAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Run the jmapHisto diagnostic command.
    `com.squareup.okhttp.Call` | `jmapHistoCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for jmapHisto
    `ApiResponse<ApiBulkCommandList>` | `jmapHistoWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Run the jmapHisto diagnostic command.
    `ApiBulkCommandList` | `jstack(String clusterName, String serviceName, ApiRoleNameList body)` Run the jstack diagnostic command.
    `com.squareup.okhttp.Call` | `jstackAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Run the jstack diagnostic command.
    `com.squareup.okhttp.Call` | `jstackCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for jstack
    `ApiResponse<ApiBulkCommandList>` | `jstackWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Run the jstack diagnostic command.
    `ApiBulkCommandList` | `lsof(String clusterName, String serviceName, ApiRoleNameList body)` Run the lsof diagnostic command.
    `com.squareup.okhttp.Call` | `lsofAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Run the lsof diagnostic command.
    `com.squareup.okhttp.Call` | `lsofCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for lsof
    `ApiResponse<ApiBulkCommandList>` | `lsofWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Run the lsof diagnostic command.
    `ApiBulkCommandList` | `refreshCommand(String clusterName, String serviceName, ApiRoleNameList body)` Refresh a role's data.
    `com.squareup.okhttp.Call` | `refreshCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Refresh a role's data.
    `com.squareup.okhttp.Call` | `refreshCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for refreshCommand
    `ApiResponse<ApiBulkCommandList>` | `refreshCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Refresh a role's data.
    `ApiBulkCommandList` | `restartCommand(String clusterName, String serviceName, ApiRoleNameList body)` Restart a set of role instances.
    `com.squareup.okhttp.Call` | `restartCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Restart a set of role instances.
    `com.squareup.okhttp.Call` | `restartCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for restartCommand
    `ApiResponse<ApiBulkCommandList>` | `restartCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Restart a set of role instances.
    `ApiBulkCommandList` | `roleCommandByName(String clusterName, String commandName, String serviceName, ApiRoleNameList body)` Execute a role command by name.
    `com.squareup.okhttp.Call` | `roleCommandByNameAsync(String clusterName, String commandName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Execute a role command by name.
    `com.squareup.okhttp.Call` | `roleCommandByNameCall(String clusterName, String commandName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for roleCommandByName
    `ApiResponse<ApiBulkCommandList>` | `roleCommandByNameWithHttpInfo(String clusterName, String commandName, String serviceName, ApiRoleNameList body)` Execute a role command by name.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiBulkCommandList` | `startCommand(String clusterName, String serviceName, ApiRoleNameList body)` Start a set of role instances.
    `com.squareup.okhttp.Call` | `startCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Start a set of role instances.
    `com.squareup.okhttp.Call` | `startCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for startCommand
    `ApiResponse<ApiBulkCommandList>` | `startCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Start a set of role instances.
    `ApiBulkCommandList` | `stopCommand(String clusterName, String serviceName, ApiRoleNameList body)` Stop a set of role instances.
    `com.squareup.okhttp.Call` | `stopCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Stop a set of role instances.
    `com.squareup.okhttp.Call` | `stopCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for stopCommand
    `ApiResponse<ApiBulkCommandList>` | `stopCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Stop a set of role instances.
    `ApiBulkCommandList` | `syncHueDbCommand(String clusterName, String serviceName, ApiRoleNameList body)` Create / update the Hue database schema.
    `com.squareup.okhttp.Call` | `syncHueDbCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Create / update the Hue database schema.
    `com.squareup.okhttp.Call` | `syncHueDbCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for syncHueDbCommand
    `ApiResponse<ApiBulkCommandList>` | `syncHueDbCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Create / update the Hue database schema.
    `ApiBulkCommandList` | `zooKeeperCleanupCommand(String clusterName, String serviceName, ApiRoleNameList body)` Cleanup a list of ZooKeeper server roles.
    `com.squareup.okhttp.Call` | `zooKeeperCleanupCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Cleanup a list of ZooKeeper server roles.
    `com.squareup.okhttp.Call` | `zooKeeperCleanupCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for zooKeeperCleanupCommand
    `ApiResponse<ApiBulkCommandList>` | `zooKeeperCleanupCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Cleanup a list of ZooKeeper server roles.
    `ApiBulkCommandList` | `zooKeeperInitCommand(String clusterName, String serviceName, ApiRoleNameList body)` Initialize a list of ZooKeeper server roles.
    `com.squareup.okhttp.Call` | `zooKeeperInitCommandAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Initialize a list of ZooKeeper server roles.
    `com.squareup.okhttp.Call` | `zooKeeperInitCommandCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for zooKeeperInitCommand
    `ApiResponse<ApiBulkCommandList>` | `zooKeeperInitCommandWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Initialize a list of ZooKeeper server roles.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleCommandsResourceApi

          public RoleCommandsResourceApi()

    - #### RoleCommandsResourceApi

          public RoleCommandsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### formatCommandCall

          public com.squareup.okhttp.Call formatCommandCall(String clusterName,
                                                            String serviceName,
                                                            ApiRoleNameList body,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for formatCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the NameNodes to format. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### formatCommand

          public ApiBulkCommandList formatCommand(String clusterName,
                                                  String serviceName,
                                                  ApiRoleNameList body)
                                           throws ApiException

      Format HDFS NameNodes. Format HDFS NameNodes. <p> Submit a format request to a list of NameNodes on a service. Note that trying to format a previously formatted NameNode will fail. <p> Note about high availability: when two NameNodes are working in an HA pair, only one of them should be formatted. <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the NameNodes to format. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### formatCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> formatCommandWithHttpInfo(String clusterName,
                                                                           String serviceName,
                                                                           ApiRoleNameList body)
                                                                    throws ApiException

      Format HDFS NameNodes. Format HDFS NameNodes. <p> Submit a format request to a list of NameNodes on a service. Note that trying to format a previously formatted NameNode will fail. <p> Note about high availability: when two NameNodes are working in an HA pair, only one of them should be formatted. <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the NameNodes to format. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### formatCommandAsync

          public com.squareup.okhttp.Call formatCommandAsync(String clusterName,
                                                             String serviceName,
                                                             ApiRoleNameList body,
                                                             ApiCallback<ApiBulkCommandList> callback)
                                                      throws ApiException

      Format HDFS NameNodes. (asynchronously) Format HDFS NameNodes. <p> Submit a format request to a list of NameNodes on a service. Note that trying to format a previously formatted NameNode will fail. <p> Note about high availability: when two NameNodes are working in an HA pair, only one of them should be formatted. <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the NameNodes to format. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hdfsBootstrapStandByCommandCall

          public com.squareup.okhttp.Call hdfsBootstrapStandByCommandCall(String clusterName,
                                                                          String serviceName,
                                                                          ApiRoleNameList body,
                                                                          ProgressResponseBody.ProgressListener progressListener,
                                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                   throws ApiException

      Build call for hdfsBootstrapStandByCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the stand-by NameNodes to bootstrap. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hdfsBootstrapStandByCommand

          public ApiBulkCommandList hdfsBootstrapStandByCommand(String clusterName,
                                                                String serviceName,
                                                                ApiRoleNameList body)
                                                         throws ApiException

      Bootstrap HDFS stand-by NameNodes. Bootstrap HDFS stand-by NameNodes. <p> Submit a request to synchronize HDFS NameNodes with their assigned HA partners. The command requires that the target NameNodes are part of existing HA pairs, which can be accomplished by setting the nameservice configuration parameter in the NameNode's configuration. <p> The HA partner must already be formatted and running for this command to run.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the stand-by NameNodes to bootstrap. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsBootstrapStandByCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> hdfsBootstrapStandByCommandWithHttpInfo(String clusterName,
                                                                                         String serviceName,
                                                                                         ApiRoleNameList body)
                                                                                  throws ApiException

      Bootstrap HDFS stand-by NameNodes. Bootstrap HDFS stand-by NameNodes. <p> Submit a request to synchronize HDFS NameNodes with their assigned HA partners. The command requires that the target NameNodes are part of existing HA pairs, which can be accomplished by setting the nameservice configuration parameter in the NameNode's configuration. <p> The HA partner must already be formatted and running for this command to run.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the stand-by NameNodes to bootstrap. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsBootstrapStandByCommandAsync

          public com.squareup.okhttp.Call hdfsBootstrapStandByCommandAsync(String clusterName,
                                                                           String serviceName,
                                                                           ApiRoleNameList body,
                                                                           ApiCallback<ApiBulkCommandList> callback)
                                                                    throws ApiException

      Bootstrap HDFS stand-by NameNodes. (asynchronously) Bootstrap HDFS stand-by NameNodes. <p> Submit a request to synchronize HDFS NameNodes with their assigned HA partners. The command requires that the target NameNodes are part of existing HA pairs, which can be accomplished by setting the nameservice configuration parameter in the NameNode's configuration. <p> The HA partner must already be formatted and running for this command to run.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the stand-by NameNodes to bootstrap. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hdfsEnterSafemodeCall

          public com.squareup.okhttp.Call hdfsEnterSafemodeCall(String clusterName,
                                                                String serviceName,
                                                                ApiRoleNameList body,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for hdfsEnterSafemode
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to enter safemode. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hdfsEnterSafemode

          public ApiBulkCommandList hdfsEnterSafemode(String clusterName,
                                                      String serviceName,
                                                      ApiRoleNameList body)
                                               throws ApiException

      Enter safemode for namenodes. Enter safemode for namenodes <p/> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to enter safemode. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsEnterSafemodeWithHttpInfo

          public ApiResponse<ApiBulkCommandList> hdfsEnterSafemodeWithHttpInfo(String clusterName,
                                                                               String serviceName,
                                                                               ApiRoleNameList body)
                                                                        throws ApiException

      Enter safemode for namenodes. Enter safemode for namenodes <p/> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to enter safemode. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsEnterSafemodeAsync

          public com.squareup.okhttp.Call hdfsEnterSafemodeAsync(String clusterName,
                                                                 String serviceName,
                                                                 ApiRoleNameList body,
                                                                 ApiCallback<ApiBulkCommandList> callback)
                                                          throws ApiException

      Enter safemode for namenodes. (asynchronously) Enter safemode for namenodes <p/> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to enter safemode. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hdfsFinalizeMetadataUpgradeCall

          public com.squareup.okhttp.Call hdfsFinalizeMetadataUpgradeCall(String clusterName,
                                                                          String serviceName,
                                                                          ApiRoleNameList body,
                                                                          ProgressResponseBody.ProgressListener progressListener,
                                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                   throws ApiException

      Build call for hdfsFinalizeMetadataUpgrade
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to finalize the upgrade. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hdfsFinalizeMetadataUpgrade

          public ApiBulkCommandList hdfsFinalizeMetadataUpgrade(String clusterName,
                                                                String serviceName,
                                                                ApiRoleNameList body)
                                                         throws ApiException

      Finalize HDFS NameNode metadata upgrade. Finalize HDFS NameNode metadata upgrade. <p/> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to finalize the upgrade. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsFinalizeMetadataUpgradeWithHttpInfo

          public ApiResponse<ApiBulkCommandList> hdfsFinalizeMetadataUpgradeWithHttpInfo(String clusterName,
                                                                                         String serviceName,
                                                                                         ApiRoleNameList body)
                                                                                  throws ApiException

      Finalize HDFS NameNode metadata upgrade. Finalize HDFS NameNode metadata upgrade. <p/> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to finalize the upgrade. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsFinalizeMetadataUpgradeAsync

          public com.squareup.okhttp.Call hdfsFinalizeMetadataUpgradeAsync(String clusterName,
                                                                           String serviceName,
                                                                           ApiRoleNameList body,
                                                                           ApiCallback<ApiBulkCommandList> callback)
                                                                    throws ApiException

      Finalize HDFS NameNode metadata upgrade. (asynchronously) Finalize HDFS NameNode metadata upgrade. <p/> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to finalize the upgrade. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hdfsInitializeAutoFailoverCommandCall

          public com.squareup.okhttp.Call hdfsInitializeAutoFailoverCommandCall(String clusterName,
                                                                                String serviceName,
                                                                                ApiRoleNameList body,
                                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                         throws ApiException

      Build call for hdfsInitializeAutoFailoverCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the controllers to initialize. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hdfsInitializeAutoFailoverCommand

          public ApiBulkCommandList hdfsInitializeAutoFailoverCommand(String clusterName,
                                                                      String serviceName,
                                                                      ApiRoleNameList body)
                                                               throws ApiException

      Initialize HDFS HA failover controller metadata. Initialize HDFS HA failover controller metadata. <p> The controllers being initialized must already exist and be properly configured. The command will make sure the needed data is initialized for the controller to work. <p> Only one controller per nameservice needs to be initialized.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the controllers to initialize. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsInitializeAutoFailoverCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> hdfsInitializeAutoFailoverCommandWithHttpInfo(String clusterName,
                                                                                               String serviceName,
                                                                                               ApiRoleNameList body)
                                                                                        throws ApiException

      Initialize HDFS HA failover controller metadata. Initialize HDFS HA failover controller metadata. <p> The controllers being initialized must already exist and be properly configured. The command will make sure the needed data is initialized for the controller to work. <p> Only one controller per nameservice needs to be initialized.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the controllers to initialize. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsInitializeAutoFailoverCommandAsync

          public com.squareup.okhttp.Call hdfsInitializeAutoFailoverCommandAsync(String clusterName,
                                                                                 String serviceName,
                                                                                 ApiRoleNameList body,
                                                                                 ApiCallback<ApiBulkCommandList> callback)
                                                                          throws ApiException

      Initialize HDFS HA failover controller metadata. (asynchronously) Initialize HDFS HA failover controller metadata. <p> The controllers being initialized must already exist and be properly configured. The command will make sure the needed data is initialized for the controller to work. <p> Only one controller per nameservice needs to be initialized.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the controllers to initialize. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hdfsInitializeSharedDirCommandCall

          public com.squareup.okhttp.Call hdfsInitializeSharedDirCommandCall(String clusterName,
                                                                             String serviceName,
                                                                             ApiRoleNameList body,
                                                                             ProgressResponseBody.ProgressListener progressListener,
                                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                      throws ApiException

      Build call for hdfsInitializeSharedDirCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the NameNodes. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hdfsInitializeSharedDirCommand

          public ApiBulkCommandList hdfsInitializeSharedDirCommand(String clusterName,
                                                                   String serviceName,
                                                                   ApiRoleNameList body)
                                                            throws ApiException

      Initialize HDFS NameNodes' shared edit directory. Initialize HDFS NameNodes' shared edit directory. <p> Shared edit directories are used when two HDFS NameNodes are operating as a high-availability pair. This command initializes the shared directory to include the necessary metadata. <p> The provided role names should reflect one of the NameNodes in the respective HA pair; the role must be stopped and its data directory must already have been formatted. The shared edits directory must be empty for this command to succeed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the NameNodes. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsInitializeSharedDirCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> hdfsInitializeSharedDirCommandWithHttpInfo(String clusterName,
                                                                                            String serviceName,
                                                                                            ApiRoleNameList body)
                                                                                     throws ApiException

      Initialize HDFS NameNodes' shared edit directory. Initialize HDFS NameNodes' shared edit directory. <p> Shared edit directories are used when two HDFS NameNodes are operating as a high-availability pair. This command initializes the shared directory to include the necessary metadata. <p> The provided role names should reflect one of the NameNodes in the respective HA pair; the role must be stopped and its data directory must already have been formatted. The shared edits directory must be empty for this command to succeed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the NameNodes. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsInitializeSharedDirCommandAsync

          public com.squareup.okhttp.Call hdfsInitializeSharedDirCommandAsync(String clusterName,
                                                                              String serviceName,
                                                                              ApiRoleNameList body,
                                                                              ApiCallback<ApiBulkCommandList> callback)
                                                                       throws ApiException

      Initialize HDFS NameNodes' shared edit directory. (asynchronously) Initialize HDFS NameNodes' shared edit directory. <p> Shared edit directories are used when two HDFS NameNodes are operating as a high-availability pair. This command initializes the shared directory to include the necessary metadata. <p> The provided role names should reflect one of the NameNodes in the respective HA pair; the role must be stopped and its data directory must already have been formatted. The shared edits directory must be empty for this command to succeed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the NameNodes. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hdfsLeaveSafemodeCall

          public com.squareup.okhttp.Call hdfsLeaveSafemodeCall(String clusterName,
                                                                String serviceName,
                                                                ApiRoleNameList body,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for hdfsLeaveSafemode
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to leave safemode. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hdfsLeaveSafemode

          public ApiBulkCommandList hdfsLeaveSafemode(String clusterName,
                                                      String serviceName,
                                                      ApiRoleNameList body)
                                               throws ApiException

      Leave safemode for namenodes. Leave safemode for namenodes <p/> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to leave safemode. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsLeaveSafemodeWithHttpInfo

          public ApiResponse<ApiBulkCommandList> hdfsLeaveSafemodeWithHttpInfo(String clusterName,
                                                                               String serviceName,
                                                                               ApiRoleNameList body)
                                                                        throws ApiException

      Leave safemode for namenodes. Leave safemode for namenodes <p/> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to leave safemode. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsLeaveSafemodeAsync

          public com.squareup.okhttp.Call hdfsLeaveSafemodeAsync(String clusterName,
                                                                 String serviceName,
                                                                 ApiRoleNameList body,
                                                                 ApiCallback<ApiBulkCommandList> callback)
                                                          throws ApiException

      Leave safemode for namenodes. (asynchronously) Leave safemode for namenodes <p/> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to leave safemode. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hdfsSaveNamespaceCall

          public com.squareup.okhttp.Call hdfsSaveNamespaceCall(String clusterName,
                                                                String serviceName,
                                                                ApiRoleNameList body,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for hdfsSaveNamespace
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to save namespace. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hdfsSaveNamespace

          public ApiBulkCommandList hdfsSaveNamespace(String clusterName,
                                                      String serviceName,
                                                      ApiRoleNameList body)
                                               throws ApiException

      Save namespace for namenodes. Save namespace for namenodes <p/> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to save namespace. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsSaveNamespaceWithHttpInfo

          public ApiResponse<ApiBulkCommandList> hdfsSaveNamespaceWithHttpInfo(String clusterName,
                                                                               String serviceName,
                                                                               ApiRoleNameList body)
                                                                        throws ApiException

      Save namespace for namenodes. Save namespace for namenodes <p/> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to save namespace. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hdfsSaveNamespaceAsync

          public com.squareup.okhttp.Call hdfsSaveNamespaceAsync(String clusterName,
                                                                 String serviceName,
                                                                 ApiRoleNameList body,
                                                                 ApiCallback<ApiBulkCommandList> callback)
                                                          throws ApiException

      Save namespace for namenodes. (asynchronously) Save namespace for namenodes <p/> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - NameNodes for which to save namespace. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### jmapDumpCall

          public com.squareup.okhttp.Call jmapDumpCall(String clusterName,
                                                       String serviceName,
                                                       ApiRoleNameList body,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for jmapDump
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jmap. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### jmapDump

          public ApiBulkCommandList jmapDump(String clusterName,
                                             String serviceName,
                                             ApiRoleNameList body)
                                      throws ApiException

      Run the jmapDump diagnostic command. Run the jmapDump diagnostic command. The command runs the jmap utility to capture a dump of the role's java heap. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jmap. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jmapDumpWithHttpInfo

          public ApiResponse<ApiBulkCommandList> jmapDumpWithHttpInfo(String clusterName,
                                                                      String serviceName,
                                                                      ApiRoleNameList body)
                                                               throws ApiException

      Run the jmapDump diagnostic command. Run the jmapDump diagnostic command. The command runs the jmap utility to capture a dump of the role's java heap. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jmap. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jmapDumpAsync

          public com.squareup.okhttp.Call jmapDumpAsync(String clusterName,
                                                        String serviceName,
                                                        ApiRoleNameList body,
                                                        ApiCallback<ApiBulkCommandList> callback)
                                                 throws ApiException

      Run the jmapDump diagnostic command. (asynchronously) Run the jmapDump diagnostic command. The command runs the jmap utility to capture a dump of the role's java heap. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jmap. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### jmapHistoCall

          public com.squareup.okhttp.Call jmapHistoCall(String clusterName,
                                                        String serviceName,
                                                        ApiRoleNameList body,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for jmapHisto
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jmap. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### jmapHisto

          public ApiBulkCommandList jmapHisto(String clusterName,
                                              String serviceName,
                                              ApiRoleNameList body)
                                       throws ApiException

      Run the jmapHisto diagnostic command. Run the jmapHisto diagnostic command. The command runs the jmap utility to capture a histogram of the objects on the role's java heap. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jmap. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jmapHistoWithHttpInfo

          public ApiResponse<ApiBulkCommandList> jmapHistoWithHttpInfo(String clusterName,
                                                                       String serviceName,
                                                                       ApiRoleNameList body)
                                                                throws ApiException

      Run the jmapHisto diagnostic command. Run the jmapHisto diagnostic command. The command runs the jmap utility to capture a histogram of the objects on the role's java heap. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jmap. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jmapHistoAsync

          public com.squareup.okhttp.Call jmapHistoAsync(String clusterName,
                                                         String serviceName,
                                                         ApiRoleNameList body,
                                                         ApiCallback<ApiBulkCommandList> callback)
                                                  throws ApiException

      Run the jmapHisto diagnostic command. (asynchronously) Run the jmapHisto diagnostic command. The command runs the jmap utility to capture a histogram of the objects on the role's java heap. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jmap. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### jstackCall

          public com.squareup.okhttp.Call jstackCall(String clusterName,
                                                     String serviceName,
                                                     ApiRoleNameList body,
                                                     ProgressResponseBody.ProgressListener progressListener,
                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                              throws ApiException

      Build call for jstack
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jstack. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### jstack

          public ApiBulkCommandList jstack(String clusterName,
                                           String serviceName,
                                           ApiRoleNameList body)
                                    throws ApiException

      Run the jstack diagnostic command. Run the jstack diagnostic command. The command runs the jstack utility to capture a role's java thread stacks. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jstack. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jstackWithHttpInfo

          public ApiResponse<ApiBulkCommandList> jstackWithHttpInfo(String clusterName,
                                                                    String serviceName,
                                                                    ApiRoleNameList body)
                                                             throws ApiException

      Run the jstack diagnostic command. Run the jstack diagnostic command. The command runs the jstack utility to capture a role's java thread stacks. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jstack. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### jstackAsync

          public com.squareup.okhttp.Call jstackAsync(String clusterName,
                                                      String serviceName,
                                                      ApiRoleNameList body,
                                                      ApiCallback<ApiBulkCommandList> callback)
                                               throws ApiException

      Run the jstack diagnostic command. (asynchronously) Run the jstack diagnostic command. The command runs the jstack utility to capture a role's java thread stacks. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to jstack. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### lsofCall

          public com.squareup.okhttp.Call lsofCall(String clusterName,
                                                   String serviceName,
                                                   ApiRoleNameList body,
                                                   ProgressResponseBody.ProgressListener progressListener,
                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                            throws ApiException

      Build call for lsof
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to lsof. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### lsof

          public ApiBulkCommandList lsof(String clusterName,
                                         String serviceName,
                                         ApiRoleNameList body)
                                  throws ApiException

      Run the lsof diagnostic command. Run the lsof diagnostic command. This command runs the lsof utility to list a role's open files. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to lsof. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### lsofWithHttpInfo

          public ApiResponse<ApiBulkCommandList> lsofWithHttpInfo(String clusterName,
                                                                  String serviceName,
                                                                  ApiRoleNameList body)
                                                           throws ApiException

      Run the lsof diagnostic command. Run the lsof diagnostic command. This command runs the lsof utility to list a role's open files. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to lsof. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### lsofAsync

          public com.squareup.okhttp.Call lsofAsync(String clusterName,
                                                    String serviceName,
                                                    ApiRoleNameList body,
                                                    ApiCallback<ApiBulkCommandList> callback)
                                             throws ApiException

      Run the lsof diagnostic command. (asynchronously) Run the lsof diagnostic command. This command runs the lsof utility to list a role's open files. <p/> Available since API v8.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - the names of the roles to lsof. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### refreshCommandCall

          public com.squareup.okhttp.Call refreshCommandCall(String clusterName,
                                                             String serviceName,
                                                             ApiRoleNameList body,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for refreshCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### refreshCommand

          public ApiBulkCommandList refreshCommand(String clusterName,
                                                   String serviceName,
                                                   ApiRoleNameList body)
                                            throws ApiException

      Refresh a role's data. Refresh a role's data. <p> For MapReduce services, this command should be executed on JobTracker roles. It refreshes the role's queue and node information. <p> For HDFS services, this command should be executed on NameNode or DataNode roles. For NameNodes, it refreshes the role's node list. For DataNodes, it refreshes the role's data directory list and other configuration. <p> For YARN services, this command should be executed on ResourceManager roles. It refreshes the role's queue and node information. <p> Available since API v1. DataNode data directories refresh available since API v10.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### refreshCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> refreshCommandWithHttpInfo(String clusterName,
                                                                            String serviceName,
                                                                            ApiRoleNameList body)
                                                                     throws ApiException

      Refresh a role's data. Refresh a role's data. <p> For MapReduce services, this command should be executed on JobTracker roles. It refreshes the role's queue and node information. <p> For HDFS services, this command should be executed on NameNode or DataNode roles. For NameNodes, it refreshes the role's node list. For DataNodes, it refreshes the role's data directory list and other configuration. <p> For YARN services, this command should be executed on ResourceManager roles. It refreshes the role's queue and node information. <p> Available since API v1. DataNode data directories refresh available since API v10.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### refreshCommandAsync

          public com.squareup.okhttp.Call refreshCommandAsync(String clusterName,
                                                              String serviceName,
                                                              ApiRoleNameList body,
                                                              ApiCallback<ApiBulkCommandList> callback)
                                                       throws ApiException

      Refresh a role's data. (asynchronously) Refresh a role's data. <p> For MapReduce services, this command should be executed on JobTracker roles. It refreshes the role's queue and node information. <p> For HDFS services, this command should be executed on NameNode or DataNode roles. For NameNodes, it refreshes the role's node list. For DataNodes, it refreshes the role's data directory list and other configuration. <p> For YARN services, this command should be executed on ResourceManager roles. It refreshes the role's queue and node information. <p> Available since API v1. DataNode data directories refresh available since API v10.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### restartCommandCall

          public com.squareup.okhttp.Call restartCommandCall(String clusterName,
                                                             String serviceName,
                                                             ApiRoleNameList body,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for restartCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The name of the roles to restart. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### restartCommand

          public ApiBulkCommandList restartCommand(String clusterName,
                                                   String serviceName,
                                                   ApiRoleNameList body)
                                            throws ApiException

      Restart a set of role instances. Restart a set of role instances <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The name of the roles to restart. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> restartCommandWithHttpInfo(String clusterName,
                                                                            String serviceName,
                                                                            ApiRoleNameList body)
                                                                     throws ApiException

      Restart a set of role instances. Restart a set of role instances <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The name of the roles to restart. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandAsync

          public com.squareup.okhttp.Call restartCommandAsync(String clusterName,
                                                              String serviceName,
                                                              ApiRoleNameList body,
                                                              ApiCallback<ApiBulkCommandList> callback)
                                                       throws ApiException

      Restart a set of role instances. (asynchronously) Restart a set of role instances <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The name of the roles to restart. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### roleCommandByNameCall

          public com.squareup.okhttp.Call roleCommandByNameCall(String clusterName,
                                                                String commandName,
                                                                String serviceName,
                                                                ApiRoleNameList body,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for roleCommandByName
      Parameters:
        `clusterName` - (required)
        `commandName` - the name of command to execute. (required)
        `serviceName` - (required)
        `body` - the roles to run this command on. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### roleCommandByName

          public ApiBulkCommandList roleCommandByName(String clusterName,
                                                      String commandName,
                                                      String serviceName,
                                                      ApiRoleNameList body)
                                               throws ApiException

      Execute a role command by name. Execute a role command by name. <p/> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `commandName` - the name of command to execute. (required)
        `serviceName` - (required)
        `body` - the roles to run this command on. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleCommandByNameWithHttpInfo

          public ApiResponse<ApiBulkCommandList> roleCommandByNameWithHttpInfo(String clusterName,
                                                                               String commandName,
                                                                               String serviceName,
                                                                               ApiRoleNameList body)
                                                                        throws ApiException

      Execute a role command by name. Execute a role command by name. <p/> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `commandName` - the name of command to execute. (required)
        `serviceName` - (required)
        `body` - the roles to run this command on. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### roleCommandByNameAsync

          public com.squareup.okhttp.Call roleCommandByNameAsync(String clusterName,
                                                                 String commandName,
                                                                 String serviceName,
                                                                 ApiRoleNameList body,
                                                                 ApiCallback<ApiBulkCommandList> callback)
                                                          throws ApiException

      Execute a role command by name. (asynchronously) Execute a role command by name. <p/> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `commandName` - the name of command to execute. (required)
        `serviceName` - (required)
        `body` - the roles to run this command on. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### startCommandCall

          public com.squareup.okhttp.Call startCommandCall(String clusterName,
                                                           String serviceName,
                                                           ApiRoleNameList body,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for startCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles to start. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### startCommand

          public ApiBulkCommandList startCommand(String clusterName,
                                                 String serviceName,
                                                 ApiRoleNameList body)
                                          throws ApiException

      Start a set of role instances. Start a set of role instances. <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles to start. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> startCommandWithHttpInfo(String clusterName,
                                                                          String serviceName,
                                                                          ApiRoleNameList body)
                                                                   throws ApiException

      Start a set of role instances. Start a set of role instances. <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles to start. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandAsync

          public com.squareup.okhttp.Call startCommandAsync(String clusterName,
                                                            String serviceName,
                                                            ApiRoleNameList body,
                                                            ApiCallback<ApiBulkCommandList> callback)
                                                     throws ApiException

      Start a set of role instances. (asynchronously) Start a set of role instances. <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles to start. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### stopCommandCall

          public com.squareup.okhttp.Call stopCommandCall(String clusterName,
                                                          String serviceName,
                                                          ApiRoleNameList body,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for stopCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The role type. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### stopCommand

          public ApiBulkCommandList stopCommand(String clusterName,
                                                String serviceName,
                                                ApiRoleNameList body)
                                         throws ApiException

      Stop a set of role instances. Stop a set of role instances. <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The role type. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> stopCommandWithHttpInfo(String clusterName,
                                                                         String serviceName,
                                                                         ApiRoleNameList body)
                                                                  throws ApiException

      Stop a set of role instances. Stop a set of role instances. <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The role type. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandAsync

          public com.squareup.okhttp.Call stopCommandAsync(String clusterName,
                                                           String serviceName,
                                                           ApiRoleNameList body,
                                                           ApiCallback<ApiBulkCommandList> callback)
                                                    throws ApiException

      Stop a set of role instances. (asynchronously) Stop a set of role instances. <p> Bulk command operations are not atomic, and may contain partial failures. The returned list will contain references to all successful commands, and a list of error messages identifying the roles on which the command failed.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The role type. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### syncHueDbCommandCall

          public com.squareup.okhttp.Call syncHueDbCommandCall(String clusterName,
                                                               String serviceName,
                                                               ApiRoleNameList body,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for syncHueDbCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the Hue server roles. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### syncHueDbCommand

          public ApiBulkCommandList syncHueDbCommand(String clusterName,
                                                     String serviceName,
                                                     ApiRoleNameList body)
                                              throws ApiException

      Create / update the Hue database schema. Create / update the Hue database schema. <p> This command is to be run whenever a new database has been specified or, as necessary, after an upgrade. <p> This request should be sent to Hue servers only.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the Hue server roles. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### syncHueDbCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> syncHueDbCommandWithHttpInfo(String clusterName,
                                                                              String serviceName,
                                                                              ApiRoleNameList body)
                                                                       throws ApiException

      Create / update the Hue database schema. Create / update the Hue database schema. <p> This command is to be run whenever a new database has been specified or, as necessary, after an upgrade. <p> This request should be sent to Hue servers only.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the Hue server roles. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### syncHueDbCommandAsync

          public com.squareup.okhttp.Call syncHueDbCommandAsync(String clusterName,
                                                                String serviceName,
                                                                ApiRoleNameList body,
                                                                ApiCallback<ApiBulkCommandList> callback)
                                                         throws ApiException

      Create / update the Hue database schema. (asynchronously) Create / update the Hue database schema. <p> This command is to be run whenever a new database has been specified or, as necessary, after an upgrade. <p> This request should be sent to Hue servers only.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the Hue server roles. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### zooKeeperCleanupCommandCall

          public com.squareup.okhttp.Call zooKeeperCleanupCommandCall(String clusterName,
                                                                      String serviceName,
                                                                      ApiRoleNameList body,
                                                                      ProgressResponseBody.ProgressListener progressListener,
                                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                               throws ApiException

      Build call for zooKeeperCleanupCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### zooKeeperCleanupCommand

          public ApiBulkCommandList zooKeeperCleanupCommand(String clusterName,
                                                            String serviceName,
                                                            ApiRoleNameList body)
                                                     throws ApiException

      Cleanup a list of ZooKeeper server roles. Cleanup a list of ZooKeeper server roles. <p> This command removes snapshots and transaction log files kept by ZooKeeper for backup purposes. Refer to the ZooKeeper documentation for more details.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### zooKeeperCleanupCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> zooKeeperCleanupCommandWithHttpInfo(String clusterName,
                                                                                     String serviceName,
                                                                                     ApiRoleNameList body)
                                                                              throws ApiException

      Cleanup a list of ZooKeeper server roles. Cleanup a list of ZooKeeper server roles. <p> This command removes snapshots and transaction log files kept by ZooKeeper for backup purposes. Refer to the ZooKeeper documentation for more details.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### zooKeeperCleanupCommandAsync

          public com.squareup.okhttp.Call zooKeeperCleanupCommandAsync(String clusterName,
                                                                       String serviceName,
                                                                       ApiRoleNameList body,
                                                                       ApiCallback<ApiBulkCommandList> callback)
                                                                throws ApiException

      Cleanup a list of ZooKeeper server roles. (asynchronously) Cleanup a list of ZooKeeper server roles. <p> This command removes snapshots and transaction log files kept by ZooKeeper for backup purposes. Refer to the ZooKeeper documentation for more details.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### zooKeeperInitCommandCall

          public com.squareup.okhttp.Call zooKeeperInitCommandCall(String clusterName,
                                                                   String serviceName,
                                                                   ApiRoleNameList body,
                                                                   ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for zooKeeperInitCommand
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### zooKeeperInitCommand

          public ApiBulkCommandList zooKeeperInitCommand(String clusterName,
                                                         String serviceName,
                                                         ApiRoleNameList body)
                                                  throws ApiException

      Initialize a list of ZooKeeper server roles. Initialize a list of ZooKeeper server roles. <p> This applies to ZooKeeper services from CDH4. Before ZooKeeper server roles can be used, they need to be initialized.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### zooKeeperInitCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> zooKeeperInitCommandWithHttpInfo(String clusterName,
                                                                                  String serviceName,
                                                                                  ApiRoleNameList body)
                                                                           throws ApiException

      Initialize a list of ZooKeeper server roles. Initialize a list of ZooKeeper server roles. <p> This applies to ZooKeeper services from CDH4. Before ZooKeeper server roles can be used, they need to be initialized.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### zooKeeperInitCommandAsync

          public com.squareup.okhttp.Call zooKeeperInitCommandAsync(String clusterName,
                                                                    String serviceName,
                                                                    ApiRoleNameList body,
                                                                    ApiCallback<ApiBulkCommandList> callback)
                                                             throws ApiException

      Initialize a list of ZooKeeper server roles. (asynchronously) Initialize a list of ZooKeeper server roles. <p> This applies to ZooKeeper services from CDH4. Before ZooKeeper server roles can be used, they need to be initialized.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.